nl.tudelft.simulation.dsol.tutorial.section42

## Interface BuyerInterface

All Known Implementing Classes:
  Customer, Retailer

    public interface BuyerInterface

A BuyerInterface
copyright (c) 2002-2018 Delft University of Technology , the Netherlands.
See for project information www.simulation.tudelft.nl
License of use: Lesser General Public License (LGPL) , no warranty.

Version:
  1.0 Dec 8, 2003
Author:
  Peter Jacobs

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `receiveProduct(long amount)` receive the ordered Product.

### Method Detail

#### receiveProduct

    void receiveProduct(long amount)

receive the ordered Product.

Parameters:
  `amount` - the amount to receive